curl --request PUT \
--url https://api.streamkap.com/destinations/{destination_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"connector": "<string>",
"config": {
"bigquery.json": {},
"table.name.prefix": "<string>",
"consumer.override.max.poll.records": 10000,
"tasks.max": 5,
"preserve.null.values": false,
"quote.identifiers": true,
"transforms.ToIntJ.fields.include.list": "<string>",
"transforms.ToFloatJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.truncate.to.max.precision": false,
"transforms.ToStringJ.fields.include.list": "<string>",
"transforms.ToJsonJ.fields.include.list": "<string>",
"transforms.ToJsonJ.convert.all.complex.types.user.defined": false,
"transforms.ToJsonbJ.fields.include.list": "<string>",
"transforms.ToJsonbJ.convert.all.complex.types.user.defined": false,
"transforms.ToJsonbJ.convert.all.json": false,
"transforms.StringReplace.fields.include.list": "<string>",
"transforms.StringReplace.regex.patterns": "<string>",
"transforms.StringReplace.replacement.values": "<string>",
"transforms.OversizedRecords.fields.include.list": "<string>",
"transforms.OversizedRecords.fields.exclude.list": "<string>",
"transforms.OversizedRecords.max.field.size.bytes": 1048576,
"transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
"transforms.OversizedRecords.truncation.suffix": "",
"transforms.OversizedRecords.max.record.size.bytes": -1,
"transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
"transforms.OversizedRecords.replace.null.with.default": true,
"transforms.AddStringSuffix.fields.include.list": "<string>",
"transforms.changeTopicName.match.regex.user.defined": "<string>",
"transforms.RenameFields.renames.user.defined": "<string>",
"transforms.DropFields.fields.include.list": "<string>",
"transforms.MarkColumnsAsRequired.fields.include.all": false,
"transforms.MarkColumnsAsRequired.null.sentinel.mode": "NONE",
"transforms.MarkColumnsAsOptional.fields.include.list": "<string>",
"transforms.CopyField.copy.field.mapping": "<string>",
"transforms.HeaderToFieldCustom.header.mappings": "<string>",
"bigquery.region": "us-central1",
"custom.bigquery.cluster.field": "<string>",
"custom.bigquery.partition.field": "<string>",
"bigquery.time.based.partition": false
},
"kc_cluster_id": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.streamkap.com/destinations/{destination_id}"
payload = {
"name": "<string>",
"connector": "<string>",
"config": {
"bigquery.json": {},
"table.name.prefix": "<string>",
"consumer.override.max.poll.records": 10000,
"tasks.max": 5,
"preserve.null.values": False,
"quote.identifiers": True,
"transforms.ToIntJ.fields.include.list": "<string>",
"transforms.ToFloatJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.truncate.to.max.precision": False,
"transforms.ToStringJ.fields.include.list": "<string>",
"transforms.ToJsonJ.fields.include.list": "<string>",
"transforms.ToJsonJ.convert.all.complex.types.user.defined": False,
"transforms.ToJsonbJ.fields.include.list": "<string>",
"transforms.ToJsonbJ.convert.all.complex.types.user.defined": False,
"transforms.ToJsonbJ.convert.all.json": False,
"transforms.StringReplace.fields.include.list": "<string>",
"transforms.StringReplace.regex.patterns": "<string>",
"transforms.StringReplace.replacement.values": "<string>",
"transforms.OversizedRecords.fields.include.list": "<string>",
"transforms.OversizedRecords.fields.exclude.list": "<string>",
"transforms.OversizedRecords.max.field.size.bytes": 1048576,
"transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
"transforms.OversizedRecords.truncation.suffix": "",
"transforms.OversizedRecords.max.record.size.bytes": -1,
"transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
"transforms.OversizedRecords.replace.null.with.default": True,
"transforms.AddStringSuffix.fields.include.list": "<string>",
"transforms.changeTopicName.match.regex.user.defined": "<string>",
"transforms.RenameFields.renames.user.defined": "<string>",
"transforms.DropFields.fields.include.list": "<string>",
"transforms.MarkColumnsAsRequired.fields.include.all": False,
"transforms.MarkColumnsAsRequired.null.sentinel.mode": "NONE",
"transforms.MarkColumnsAsOptional.fields.include.list": "<string>",
"transforms.CopyField.copy.field.mapping": "<string>",
"transforms.HeaderToFieldCustom.header.mappings": "<string>",
"bigquery.region": "us-central1",
"custom.bigquery.cluster.field": "<string>",
"custom.bigquery.partition.field": "<string>",
"bigquery.time.based.partition": False
},
"kc_cluster_id": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
connector: '<string>',
config: {
'bigquery.json': {},
'table.name.prefix': '<string>',
'consumer.override.max.poll.records': 10000,
'tasks.max': 5,
'preserve.null.values': false,
'quote.identifiers': true,
'transforms.ToIntJ.fields.include.list': '<string>',
'transforms.ToFloatJ.fields.include.list': '<string>',
'transforms.ToDecimalJ.fields.include.list': '<string>',
'transforms.ToDecimalJ.truncate.to.max.precision': false,
'transforms.ToStringJ.fields.include.list': '<string>',
'transforms.ToJsonJ.fields.include.list': '<string>',
'transforms.ToJsonJ.convert.all.complex.types.user.defined': false,
'transforms.ToJsonbJ.fields.include.list': '<string>',
'transforms.ToJsonbJ.convert.all.complex.types.user.defined': false,
'transforms.ToJsonbJ.convert.all.json': false,
'transforms.StringReplace.fields.include.list': '<string>',
'transforms.StringReplace.regex.patterns': '<string>',
'transforms.StringReplace.replacement.values': '<string>',
'transforms.OversizedRecords.fields.include.list': '<string>',
'transforms.OversizedRecords.fields.exclude.list': '<string>',
'transforms.OversizedRecords.max.field.size.bytes': 1048576,
'transforms.OversizedRecords.oversized.field.behavior': 'TRUNCATE',
'transforms.OversizedRecords.truncation.suffix': '',
'transforms.OversizedRecords.max.record.size.bytes': -1,
'transforms.OversizedRecords.semantic.types.exclude': 'io.debezium.data.Json,io.debezium.data.Xml',
'transforms.OversizedRecords.replace.null.with.default': true,
'transforms.AddStringSuffix.fields.include.list': '<string>',
'transforms.changeTopicName.match.regex.user.defined': '<string>',
'transforms.RenameFields.renames.user.defined': '<string>',
'transforms.DropFields.fields.include.list': '<string>',
'transforms.MarkColumnsAsRequired.fields.include.all': false,
'transforms.MarkColumnsAsRequired.null.sentinel.mode': 'NONE',
'transforms.MarkColumnsAsOptional.fields.include.list': '<string>',
'transforms.CopyField.copy.field.mapping': '<string>',
'transforms.HeaderToFieldCustom.header.mappings': '<string>',
'bigquery.region': 'us-central1',
'custom.bigquery.cluster.field': '<string>',
'custom.bigquery.partition.field': '<string>',
'bigquery.time.based.partition': false
},
kc_cluster_id: '<string>',
tags: ['<string>']
})
};
fetch('https://api.streamkap.com/destinations/{destination_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"connector": "<string>",
"id": "<string>",
"connector_display_name": "<string>",
"created_timestamp": "<string>",
"sub_id": "<string>",
"tenant_id": "<string>",
"config": {
"bigquery.json": {},
"table.name.prefix": "<string>",
"consumer.override.max.poll.records": 10000,
"tasks.max": 5,
"preserve.null.values": false,
"quote.identifiers": true,
"transforms.ToIntJ.fields.include.list": "<string>",
"transforms.ToFloatJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.truncate.to.max.precision": false,
"transforms.ToStringJ.fields.include.list": "<string>",
"transforms.ToJsonJ.fields.include.list": "<string>",
"transforms.ToJsonJ.convert.all.complex.types.user.defined": false,
"transforms.ToJsonbJ.fields.include.list": "<string>",
"transforms.ToJsonbJ.convert.all.complex.types.user.defined": false,
"transforms.ToJsonbJ.convert.all.json": false,
"transforms.StringReplace.fields.include.list": "<string>",
"transforms.StringReplace.regex.patterns": "<string>",
"transforms.StringReplace.replacement.values": "<string>",
"transforms.OversizedRecords.fields.include.list": "<string>",
"transforms.OversizedRecords.fields.exclude.list": "<string>",
"transforms.OversizedRecords.max.field.size.bytes": 1048576,
"transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
"transforms.OversizedRecords.truncation.suffix": "",
"transforms.OversizedRecords.max.record.size.bytes": -1,
"transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
"transforms.OversizedRecords.replace.null.with.default": true,
"transforms.AddStringSuffix.fields.include.list": "<string>",
"transforms.changeTopicName.match.regex.user.defined": "<string>",
"transforms.RenameFields.renames.user.defined": "<string>",
"transforms.DropFields.fields.include.list": "<string>",
"transforms.MarkColumnsAsRequired.fields.include.all": false,
"transforms.MarkColumnsAsRequired.null.sentinel.mode": "NONE",
"transforms.MarkColumnsAsOptional.fields.include.list": "<string>",
"transforms.CopyField.copy.field.mapping": "<string>",
"transforms.HeaderToFieldCustom.header.mappings": "<string>",
"bigquery.region": "us-central1",
"custom.bigquery.cluster.field": "<string>",
"custom.bigquery.partition.field": "<string>",
"bigquery.time.based.partition": false
},
"topic_ids": [
"<string>"
],
"topic_map": {},
"topics": [
"<string>"
],
"tasks": [
123
],
"connector_status": "<string>",
"desired_state": "<string>",
"kc_cluster_id": "<string>",
"task_statuses": {},
"tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Existing Destination
Update an existing destination connector.
The config object contains connector-specific properties using dot notation.
Use the GET /destinations/connectors endpoint with a connector_code query parameter to
retrieve the full configuration schema for a specific connector type.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Whether to include secret values in the response
When False, save config and return immediately without waiting for KC update
Body
Request body for updating an existing destination connector.
Display name for the destination connector.
Connector type identifier (e.g., 'snowflake', 'bigquery', 'clickhouse', 'postgresql', 's3').
Configuration properties for the BigQuery destination connector.
- BigQuery
- ClickHouse
- CockroachDB
- Databricks
- Db2
- GCS
- HTTP Sink
- Iceberg
- Kafka Direct
- Kafka
- Motherduck
- MySQL
- Oracle
- Pinecone
- PostgreSQL
- R2
- Redis
- Redshift
- S3
- SQL Server
- Snowflake
- Starburst
- Weaviate
Show child attributes
Show child attributes
KC cluster to deploy this connector to. Omit for default cluster.
List of tag IDs to assign to this destination
Response
Successful Response
Destination connector configuration and status.
User-defined connector name
Connector type (e.g., 'snowflake', 'bigquery', 'clickhouse')
Unique identifier
Human-readable connector type name
Creation timestamp (ISO 8601)
Subscription identifier
Tenant identifier for multi-tenancy
Configuration properties for the BigQuery destination connector.
- BigQuery
- ClickHouse
- CockroachDB
- Databricks
- Db2
- GCS
- HTTP Sink
- Iceberg
- Kafka Direct
- Kafka
- Motherduck
- MySQL
- Oracle
- Pinecone
- PostgreSQL
- R2
- Redis
- Redshift
- S3
- SQL Server
- Snowflake
- Starburst
- Weaviate
Show child attributes
Show child attributes
List of associated topic identifiers
Mapping of topics to their partitions or related entities
Show child attributes
Show child attributes
List of topic names
List of task identifiers
Current status: Active, Paused, Stopped, Broken, Starting, Unassigned, Unknown, Pending
Desired state: Pending, Active, Paused, Stopped
KC cluster this connector is deployed to. None means default cluster.
Status information for each connector task
Show child attributes
Show child attributes
List of tag IDs assigned to this destination
Was this page helpful?